require 'sketchup.rb'
require 'extensions.rb'
Sketchup.require(File.join(File.dirname(__FILE__), 'DM_Quantifier/langhandler'))

module DM::Quantifier

  VERSION = "1.0.5"
  PLUGIN = self
  PLUGIN_NAME = "Quantifier Pro".freeze
  LH = DMLanguageHandler.new("quantifier.strings")

  if Sketchup.version.to_i >= 16
    ext = SketchupExtension.new(PLUGIN_NAME, (File.join(File.dirname(__FILE__), "DM_Quantifier", "load")))
    ext.description = (LH["Quantifier Pro creates instant quantity reports and cost estimates from your SketchUp model."])
    ext.version = VERSION
    ext.creator = "mind.sight.studios"
    ext.copyright = "2018, MindSight Studios Inc. All rights reserved."
    Sketchup.register_extension(ext, true)
  else
    UI.messagebox(LH["Sketchup 2016 or greater is required to use Quantifier Pro"])
  end

end
